Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb3.embedded
Class EJB3StandaloneDeployment

    java.lang.Object
      org.jboss.ejb3.Ejb3Deployment
          org.jboss.ejb3.embedded.EJB3StandaloneDeployment

    public class EJB3StandaloneDeployment

extends org.jboss.ejb3.Ejb3Deployment

Use this class when you want to manually specify classes you want deployed.

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.ejb3.Ejb3Deployment
`ACTUAL_ENTITY_MANAGER_FACTORY_CONTEXT, defaultClientBinding, defaultConsumerDomain, defaultMDBDomain, defaultMessageInflowDrivenDomain, defaultServiceDomain, defaultSFSBDomain, defaultSLSBDomain, di, ear, ejbContainers, explicitEntityClasses, hasEntities, initialContext, kernelAbstraction, MANAGED_ENTITY_FACTORY_CONTEXT, mbeanServer, persistenceUnitDeployments`

Constructor Summary
`EJB3StandaloneDeployment(org.jboss.ejb3.DeploymentUnit di, org.jboss.kernel.Kernel kernel, javax.management.MBeanServer mbeanServer)`

Method Summary
`org.jboss.ejb3.DependencyPolicy` | `createDependencyPolicy()`
`protected javax.security.jacc.PolicyConfiguration` | `createPolicyConfiguration()`
`protected void` | `putJaccInService(javax.security.jacc.PolicyConfiguration pc, org.jboss.ejb3.DeploymentUnit unit)`
`void` | `setMbeanServer(javax.management.MBeanServer mbeanServer)`

Methods inherited from class org.jboss.ejb3.Ejb3Deployment
`create, deploy, deployElement, deployElement, deployUrl, destroy, getContainer, getDefaultClientBinding, getDefaultConsumerDomain, getDefaultMDBDomain, getDefaultMessageInflowDrivenBeanDomain, getDefaultServiceDomain, getDefaultSFSBDomain, getDefaultSLSBDomain, getDeploymentUnit, getEar, getEjbContainer, getEjbContainer, getEjbContainer, getEjbContainers, getEjbJndiName, getEjbJndiName, getJaccContextId, getKernelAbstraction, getMbeanServer, getPersistenceUnitDeployment, getPersistenceUnitDeploymentInternal, getScopeKernelName, initializePersistenceUnits, processEJBContainerMetadata, registerEJBContainer, setDefaultMDBDomain, setDefaultServiceDomain, setDefaultSFSBDomain, setDefaultSLSBDomain, start, startPersistenceUnits, stop, stopPersistenceUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3StandaloneDeployment

    public EJB3StandaloneDeployment(org.jboss.ejb3.DeploymentUnit di,
                                    org.jboss.kernel.Kernel kernel,
                                    javax.management.MBeanServer mbeanServer)

Method Detail

### setMbeanServer

    public void setMbeanServer(javax.management.MBeanServer mbeanServer)

  Overrides:
    `setMbeanServer` in class `org.jboss.ejb3.Ejb3Deployment`

### putJaccInService

    protected void putJaccInService(javax.security.jacc.PolicyConfiguration pc,
                                    org.jboss.ejb3.DeploymentUnit unit)

  Specified by:
    `putJaccInService` in class `org.jboss.ejb3.Ejb3Deployment`

### createPolicyConfiguration

    protected javax.security.jacc.PolicyConfiguration createPolicyConfiguration()
                                                                         throws java.lang.Exception

  Specified by:
    `createPolicyConfiguration` in class `org.jboss.ejb3.Ejb3Deployment`
  Throws:
    `java.lang.Exception`

### createDependencyPolicy

    public org.jboss.ejb3.DependencyPolicy createDependencyPolicy()

  Specified by:
    `createDependencyPolicy` in class `org.jboss.ejb3.Ejb3Deployment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD